Bug 107632 - starfire driver not working with VLANs
starfire driver not working with VLANs
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-10-21 11:40 EDT by ivan
Modified: 2007-04-18 12:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description ivan 2003-10-21 11:40:25 EDT
Description of problem:
Problem is with interfaces on Adaptec 4-port NICs not being able 
to see 802.1q vlans.

With a tcpdump I see no 802.1q header, and configuring up an 
interface tagged with a live vlan-id shows no traffic (although 
the traffic is visible on the raw [eg eth8, rather than eth8.3] 

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
0. Configure connected network switch to run 802.1q trunk to NIC.
1. Configure interface as VLAN tag, matching a vlan-id on the switch
2. Bring up raw & tagged interface (eg ifup eth8 && ifup eth8.3)
3. tcpdump raw and then tagged interface.
Actual results:
tcpdumping raw interface (eg eth8) shows traffic with no 802.1q 
tcpdumping tagged interface (eg eth8.3) shows no traffic.

Expected results:
tcpdumping raw interface (eg eth8) should show traffic with 802.1q 
tcpdumping tagged interface (eg eth8.3) should show normal 

Additional info:
The output from a "insmod starfire.o debug=6" shows bringing up 
the eth8.3 interface (adding the vlan tag), proving that the 
vlan code is compiled into the driver.

I mailed ion (maintainer) separately, aswell. He is also cc'd here 
(as per his comment in another RH bugzilla entry ... hope that's OK :)

I have tried vanilla kernel 2.4.22, but this has the same driver 
version (and doesn't work).

Don Becker's 1.09 driver does seem to work OK
Comment 1 Bugzilla owner 2004-09-30 11:41:37 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.